diff --git a/changelog b/changelog
index 9b18eab..f7fec65 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20110714 tpd src/axiom-website/patches.html 20110714.01.tpd.patch
+20110714 tpd src/interp/Makefile remove axext_l aldor support file
+20110714 tpd src/interp/axext_l.lisp removed
 20110713 tpd src/axiom-website/patches.html 20110713.01.tpd.patch
 20110713 tpd books/bookvol10.3 help and unit tests for RewriteRule
 20110712 tpd src/axiom-website/patches.html 20110712.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 22b3127..9cb7ee0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3540,5 +3540,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler, remove modemap.lisp<br/>
 <a href="patches/20110713.01.tpd.patch">20110713.01.tpd.patch</a>
 books/bookvol10.3 help and unit tests for RewriteRule<br/>
+<a href="patches/20110714.01.tpd.patch">20110714.01.tpd.patch</a>
+src/interp/axext_l.lisp removed<br/>
  </body>
 </html>
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index faec9d1..34d01f4 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -96,8 +96,7 @@ expanded in later compiles. All macros are assumed to be
 in this list of files.
 <<environment>>=
 DEP= ${MID}/vmlisp.lisp    \
-     ${MID}/foam_l.lisp \
-     ${MID}/axext_l.lisp
+     ${MID}/foam_l.lisp 
 
 @
 
@@ -252,7 +251,7 @@ The {\bf ASCOMP} list contains files used by the {\bf Aldor}
 \cite{5} compiler. These files should probably be autoloaded.
 <<environment>>=
 ASCOMP= ${OUT}/hashcode.${O} ${OUT}/as.${O} \
-	${OUT}/foam_l.${O} ${OUT}/axext_l.${O}
+	${OUT}/foam_l.${O} 
 
 @
 The {\bf ASAUTO} list contains files used by the {\bf Aldor}
@@ -3219,32 +3218,6 @@ ${MID}/interop.lisp: ${IN}/interop.lisp.pamphlet
 
 @
 
-\subsection{axext\_l.lisp}
-<<axext\_l.o (OUT from MID)>>=
-# .lisp files for AXIOM-XL support
-
-${OUT}/axext_l.${O}: ${MID}/axext_l.lisp
-	@ echo 607 making ${OUT}/axext_l.${O} from ${MID}/axext_l.lisp
-	@ (cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/axext_l.lisp"' \
-             ':output-file "${OUT}/axext_l.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/axext_l.lisp"' \
-             ':output-file "${OUT}/axext_l.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
-	  fi )
-
-@
-<<axext\_l.lisp (MID from IN)>>=
-${MID}/axext_l.lisp: ${IN}/axext_l.lisp.pamphlet
-	@ echo 608 making ${MID}/axext_l.lisp from ${IN}/axext_l.lisp.pamphlet
-	@(cd ${MID} ; \
-          echo '(tangle "${IN}/axext_l.lisp.pamphlet" "*" "axext_l.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
-
-@
-
 \subsection{foam\_l.lisp}
 Note that this code links the interpreter with the Aldor compiler.
 <<foam\_l.o (OUT from MID)>>=
@@ -3328,9 +3301,6 @@ clean:
 <<ax.o (OUT from MID)>>
 <<ax.lisp (MID from IN)>>
 
-<<axext\_l.o (OUT from MID)>>
-<<axext\_l.lisp (MID from IN)>>
-
 <<bc-matrix.o (AUTO from OUT)>>
 <<bc-matrix.o (OUT from MID)>>
 <<bc-matrix.lisp (MID from IN)>>
diff --git a/src/interp/axext_l.lisp.pamphlet b/src/interp/axext_l.lisp.pamphlet
deleted file mode 100644
index a9f5c53..0000000
--- a/src/interp/axext_l.lisp.pamphlet
+++ /dev/null
@@ -1,222 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\begin{document}
-\title{\$SPAD/src/interp axext\_l.lisp}
-\author{Timothy Daly}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{verbatim}
-;; Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
-;; All rights reserved.
-;;
-;; Redistribution and use in source and binary forms, with or without
-;; modification, are permitted provided that the following conditions are
-;; met:
-;;
-;;     - Redistributions of source code must retain the above copyright
-;;       notice, this list of conditions and the following disclaimer.
-;;
-;;     - Redistributions in binary form must reproduce the above copyright
-;;       notice, this list of conditions and the following disclaimer in
-;;       the documentation and/or other materials provided with the
-;;       distribution.
-;;
-;;     - Neither the name of The Numerical ALgorithms Group Ltd. nor the
-;;       names of its contributors may be used to endorse or promote products
-;;       derived from this software without specific prior written permission.
-;;
-;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
-;; IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-;; TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
-;; PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
-;; OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-;; EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-;; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-;; PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-;; LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-;; NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-;; SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-\end{verbatim}
-\begin{chunk}{*}
-
-;; File containing primitives needed by exextend in order to interop with axiom
-;; This file could do with some declares
-
-(in-package "FOAM-USER")
-
-;; tacky but means we can run programs
-
-(defun H-integer (l e)
-  (|AXL-LiteralToInteger| l))
-        
-(defun  H-string (l e)
-  (|AXL-LiteralToString| l))
-
-(defun  H-error (l e)
-  (|AXL-error| l))
-
-(eval-when (load eval)
-           (defconstant |G-axclique_string_305639517| (cons #'H-String nil))
-           (defconstant |G-axclique_integer_685864888| (cons #'H-integer nil))
-           (defconstant |G-axclique_error_011667951| (cons #'H-error nil)))
-
-;; Literals should be null-terminated strings
-
-;; SingleInteger
-
-(defmacro |AXL-LiteralToSingleInteger| (l)
-  `(parse-integer ,l :junk-allowed t))
-
-(defmacro |AXL-LiteralToInteger| (l)
-  `(parse-integer ,l :junk-allowed t))
-
-(defmacro |AXL-LiteralToDoubleFloat| (l)
-  `(read-from-string ,l nil (|DFlo0|)
-                     :preserve-whitespace t))
-
-(defmacro |AXL-LiteralToString| (l)
-  `(subseq ,l 0 (- (length ,l) 1)))
-
-(defmacro |AXL-SingleIntegerToInteger| (si)
-  `(coerce (the |SInt| ,si) |BInt|))
-
-(defmacro |AXL-StringToFloat| (s)
-  `(boot::|string2Float| ,s))
-
-(defmacro |AXL-IntegerIsNonNegative| (i)
-  `(not (< ,i 0)))
-
-(defmacro |AXL-IntegerIsPositive| (i)
-  `(< 0 (the |BInt| ,i)))
-
-(defmacro |AXL-plusInteger| (a b)
-  `(the |BInt| (+ (the |BInt| ,a)
-                  (the |BInt| ,b))))
-
-(defmacro |AXL-minusInteger| (a b)
-  `(the |BInt| (- (the |BInt| ,a)
-                  (the |BInt| ,b))))
-
-(defmacro |AXL-timesInteger| (a b)
-  `(the |BInt| (* (the |BInt| ,a)
-                  (the |BInt| ,b))))
-
-(defmacro |AXL-eqInteger| (a b)
-  `(= (the |BInt| ,a)
-      (the |BInt| ,b)))
-
-(defmacro |AXL-ltInteger| (a b)
-  `(< (the |BInt| ,a)
-      (the |BInt| ,b)))
-
-(defmacro |AXL-leInteger| (a b)
-  `(<= (the |BInt| ,a)
-       (the |BInt| ,b)))
-
-(defmacro |AXL-gtInteger| (a b)
-  `(> (the |BInt| ,a)
-      (the |BInt| ,b)))
-
-(defmacro |AXL-geInteger| (a b)
-  `(>= (the |BInt| ,a)
-       (the |BInt| ,b)))
-
-(defmacro |AXL-plusSingleInteger| (a b)
-  `(the |SInt| (+ (the |SInt| ,a)
-                  (the |SInt| ,b))))
-
-(defmacro |AXL-minusSingleInteger| (a b)
-  `(the |SInt| (- (the |SInt| ,a)
-                  (the |SInt| ,b))))
-
-(defmacro |AXL-timesSingleInteger| (a b)
-  `(the |SInt| (* (the |SInt| ,a)
-                  (the |SInt| ,b))))
-
-(defmacro |AXL-eqSingleInteger| (a b)
-  `(= (the |SInt| ,a)
-      (the |SInt| ,b)))
-
-(defmacro |AXL-ltSingleInteger| (a b)
-  `(< (the |SInt| ,a)
-      (the |SInt| ,b)))
-
-(defmacro |AXL-leSingleInteger| (a b)
-  `(<= (the |SInt| ,a)
-       (the |SInt| ,b)))
-
-(defmacro |AXL-gtSingleInteger| (a b)
-  `(> (the |SInt| ,a)
-      (the |SInt| ,b)))
-
-(defmacro |AXL-geSingleInteger| (a b)
-  `(>= (the |SInt| ,a)
-       (the |SInt| ,b)))
-
-(defmacro |AXL-incSingleInteger| (i)
-  `(the |SInt| (+ (the |SInt| ,i) 1)))
-
-(defmacro |AXL-decSingleInteger| (i)
-  `(- (the |SInt| ,i)
-     (the |SInt| 1)))
-
-(defmacro |AXL-onefnSingleInteger|  () '(the |SInt| 1))
-(defmacro |AXL-zerofnSingleInteger| () '(the |SInt| 0))
-
-(defmacro |AXL-cons| (x y)
-  `(cons ,x ,y))
-
-(defmacro |AXL-nilfn| () nil)
-
-(defmacro |AXL-car| (x) `(car ,x))
-
-(defmacro |AXL-cdr| (x) `(cdr ,x))
-
-(defmacro |AXL-null?| (x) `(null ,x))
-
-(defmacro |AXL-rplaca| (x y) `(rplaca ,x ,y))
-
-(defmacro |AXL-rplacd| (x y) `(rplacd ,x ,y))
-
-(defmacro |AXL-error| (msg) `(error ,msg))
-  
-;; arrays
-;; 0 based!
-(defmacro |AXL-arrayRef| (arr i)
-  `(|AElt| ,arr ,i))
-
-(defmacro |AXL-arraySet| (arr i v)
-  `(setf (|AElt| ,arr ,i) ,v))
-
-(defmacro |AXL-arrayToList| (x)
-  `(coerce ,x 'list))
-
-(defmacro |AXL-arraySize| (x)
-  `(length ,x))
-
-(defmacro |AXL-arrayNew| (n)
-  `(make-array ,n))
-
-(defmacro |AXL-arrayCopy| (x)
-  `(copy-seq ,x))
-
-;; Vectors
-
-
-;; Testing
-
-(defun |AXL-spitSInt| (x)
-  (print x))
-
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
